<?
use_helper('UrlFunctions');
if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope"|| myUser::getUser()->getRoleId() == "sys.hip") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();

$o_ObjectBean = new PrestamoBean();

//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);

$o_MercadoBL = new MercadoBL();
$a_o_mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_mercado as $key => $o_mercado){
	$Descripcion = $o_mercado->getDescripcion();
}


$o_CrCreditoCronoFN = new CrCreditoCronoFN();
$o_CrCreditoCronoFN->setIdCliente($idCliente); 

//$o_CrCreditoCronoFN->setIdColaborador(myUser::getUser()->getIdColaborador()); 
$o_CrCreditoCronoFN->setEstado("P"); 
$o_CrCreditoCronoFN->setEliminado('-1');
$a_ObjectBean = $o_CrCreditoCronoFN->select();

?>


	<table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="4%" >No.</th>
			    <th width="20%" align="left">Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="4%" >F.Inicio</th>
				<th width="4%" >F.Vencim.</th>
				<th width="5%" align="right">Capital</th>
                <th width="3%" align="right" >Int.(%)</th>
                <th width="6%" align="right">M. Total(S/.)</th>
                
                <th width="4%" align="right">Saldo</th>
                <th width="5%" align="center">Refinanciar</th>
               </tr>
              <? if(count($a_ObjectBean)>0){ ?>
	              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
	              <tr onClick="TR_click(this);">
	                <td align="center"><?=$o_objBean->getIdcreditocrono()?></td>
	                <td align="left"><?=$o_objBean->getNombreCompleto()?></td>
	                <td><?=$o_objBean->getFechaInicio()?></td>
	                <td><?=substr($o_objBean->getFechaVencimiento(),0,10)?></td>  
					<td align="right"><?=number_format($o_objBean->getMontoTotal(),2)?></td>
					<td align="right"><?=$o_objBean->getPorcinteresmensual()?></td>
					<td align="right"><?=number_format($o_objBean->getMontoTotal(),2);?></td>
					
					<td align="right"><?=number_format($o_objBean->getSaldocredito(),2)?></td>
					<? // if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() <= $fecha ){?>
						<td align="center"><a href="#" onclick="parent.objMainTab.reqBody('<?=buildUrl('hpt/refaddedit/id/'.$o_objBean->getIdcreditocrono().'/idCliente/'.$o_objBean->getIdcliente());?>','001');"><img src="/images/common/buttons/btnAnnul.gif"  "></a>
					<?php //}?></td>				
	              </tr>
	              <?  } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center"><b>No tiene prestamos para Refinanciar.</b></td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>
      <table width="100%">
      	<tr>
      		<td align="right">
      		<input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('hpt/list')?>','001')" />	
      		</td>
        </tr>
      </table>	
      

<script type="text/javascript">
	function formCallback(result, form) {
		window.status = "valiation callback for form '" + form.id + "': result = " + result;
	}
	var valid = new Validation('form1', {immediate : true});
</script>